--[[
	brick needs:
	size
	coords
		-> size and coords = hitbox
	colour
	
--]]

-- class dec

brick = {};
brick.__index = brick;

setmetatable(brick, {
	__call = function (cls, ...)
	return cls.new(...)
	end,
})

-- vars
-- local dim = 0;
-- local x, y = 0;
-- local r, g, b = 0, 0, 0;

-- constructor

function brick.new()
	local self = setmetatable({}, brick);
	math.randomseed(math.random(os.time()));
	
	if sys == "Android" then
		self.dim = 128;
	else
		self.dim = 64;
	end
	self.x = math.random(width - self.dim * 2);
	self.y = math.random(height - self.dim * 2);
	self.r = math.random(255);
	self.g = math.random(255);
	self.b = math.random(255);
	return self;
end

function brick:getCoords()
	return self.x, self.y;
end

function brick:getDrawbox()
	return self.x, self.y, self.dim, self.dim;
end

function brick:getHitbox()
	return self.x, self.y, self.x + self.dim, self.y + self.dim;
end

function brick:getColour()
	return self.r, self.g, self.b;
end

function brick:getSize()
	return self.dim;
end

function brick:checkHit(px, py)
	if px > self.x and px < self.x + self.dim then
		if py > self.y and py < self.y + self.dim then
			return true;
		end
	end
	return false;
end